### Virtual Method

# Gimp PlugIn query_procedures

#### Declaration [src]

    GList*
    query_procedures (
      GimpPlugIn* plug_in
    )

#### Description [src]

This method can be overridden by all plug-ins to return a newly allocated list of allocated strings naming the procedures registered by this plug-in. See documentation of `Gimp.PlugInClass.init_procedures` for differences.

#### Return value

Type: A list of `utf8`

The names of the procedures registered by `plug_in`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.